using System.ComponentModel;
using Hotline.Share.Enums.Settings;
using XF.Domain.Repository;

namespace Hotline.Settings;

[Description("工时常量配置")]
public class TimeLimitSetting : CreationEntity
{
        /// <summary>
        /// 业务Code
        /// </summary>
        public string BusCode { get; set; }

        /// <summary>
        /// 时间类型
        /// </summary>
        public ETimeType TimeType { get; set; }

        /// <summary>
        /// 时间值
        /// </summary>
        public int TimeValue { get; set; }

        /// <summary>
        /// 业务名称
        /// </summary>
        public string BusName { get; set; }

        /// <summary>
        /// 超期时限百分比
        /// </summary>
        public int Percentage { get; set; }

        /// <summary>
        /// 超期时间百分比（第一级）
        /// </summary>
        public int PercentageOne { get; set; }
}
